Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMapItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<N>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<VoiceCostMapItem>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMapItem

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceCostMapItem>`, `TreeNode<VoiceCostMapItem>`

    public class VoiceCostMapItem
    extends VoiceBaseCodeBean<VoiceCostMapItem>

Отдельный элемент карты цен, содержащий в себе географический код, цену и период действия.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceCostMapItem()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCodeId()` |
  `java.lang.String` | `getComment()` | Получение комментария для элемента карты цен.
  `int` | `getCostMapId()` | Получение кода карты цен, к которой привязан элемент.
  `java.lang.String` | `getDestinationTitle()` | Получение названия направления.
  `java.math.BigDecimal` | `getItemCost()` | Получение цены для данного элемента.
  `void` | `setCodeId​(int codeId)` |
  `void` | `setComment​(java.lang.String comment)` | Получение комментария для элемента карты цен.
  `void` | `setCostMapId​(int costMapId)` | Установка кода карты цен.
  `void` | `setDestinationTitle​(java.lang.String destinationTitle)` | Установка названия направления.
  `void` | `setItemCost​(java.math.BigDecimal itemCost)` | Установка цены для элемента карты цен.

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean

  `clone, getCode, getDateFrom, getDateTo, getDestinationId, getLevel, setCode, setDateFrom, setDateTo, setDestinationId, setLevel`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceCostMapItem

    public VoiceCostMapItem()

- ## Method Details

  - ### getCostMapId

    public int getCostMapId()
    Получение кода карты цен, к которой привязан элемент.
    Returns:
      код родительской карты цен.

  - ### setCostMapId

    public void setCostMapId​(int costMapId)
    Установка кода карты цен.
    Parameters:
      `costMapId` - код карты цен, к которой привязан данный элемент.

  - ### getItemCost

    public java.math.BigDecimal getItemCost()
    Получение цены для данного элемента.
    Returns:
      цена элемента карты цен.

  - ### setItemCost

    public void setItemCost​(java.math.BigDecimal itemCost)
    Установка цены для элемента карты цен.
    Parameters:
      `itemCost` - цена.

  - ### getComment

    public java.lang.String getComment()
    Получение комментария для элемента карты цен.
    Returns:
      комментарий.

  - ### setComment

    public void setComment​(java.lang.String comment)
    Получение комментария для элемента карты цен.
    Parameters:
      `comment` - комментарий.

  - ### getCodeId

    public int getCodeId()

  - ### setCodeId

    public void setCodeId​(int codeId)

  - ### getDestinationTitle

    public java.lang.String getDestinationTitle()
    Получение названия направления. Фактически, соответствует направлению из справочника направлений. Используется в этом классе, чтобы в клиенте не было необходимости грузить полный справочник направлений.
    Overrides:
      `getDestinationTitle` in class `VoiceBaseCodeBean<VoiceCostMapItem>`
    Returns:
      название направления.

  - ### setDestinationTitle

    public void setDestinationTitle​(java.lang.String destinationTitle)
    Установка названия направления. Фактически, соответствует направлению из справочника направлений. Используется в этом классе, чтобы в клиенте не было необходимости грузить полный справочник направлений.
    Overrides:
      `setDestinationTitle` in class `VoiceBaseCodeBean<VoiceCostMapItem>`
    Parameters:
      `destinationTitle` - название направления